﻿@model Project_Prn211_4.Models.User
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@{
	ViewData["Title"] = "Profile";
}

<!DOCTYPE html>
<html>
<head>
	<meta name="viewport" content="width=device-width" />
	<title>Profile</title>
	<style>
		body {
			font-family: Arial, sans-serif;
			background-color: #f2f2f2;
		}

		.container {
			display: flex;
			justify-content: space-between;
			align-items: center;
			padding: 10px;
			background-color: #fff;
			border: 1px solid #ccc;
			border-radius: 5px;
			box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
			margin-bottom: 20px;
		}

			.container a {
				margin-right: 10px;
				text-decoration: none;
				color: #007bff;
				padding: 8px;
				border-radius: 3px;
				background-color: #f2f2f2;
			}

				.container a:hover {
					background-color: #e6e6e6;
				}

		.form-group {
			margin-bottom: 20px;
		}

		label {
			font-weight: bold;
		}

		input[type="text"],
		input[type="email"],
		input[type="password"] {
			width: 100%;
			padding: 10px;
			border: 1px solid #ccc;
			border-radius: 5px;
			box-sizing: border-box;
		}

		button[type="submit"] {
			padding: 10px 20px;
			background-color: #007bff;
			border: none;
			color: #fff;
			border-radius: 5px;
			cursor: pointer;
		}

		.btn-primary {
			background-color: #007bff;
			border: none;
			color: #fff;
			padding: 8px 16px;
			text-decoration: none;
			border-radius: 3px;
		}

			.btn-primary:hover {
				background-color: #0056b3;
			}
	</style>
</head>
<body>
	<div class="container">
		@if (@ViewBag.UserId == 1)
		{
			<a class="btn btn-primary" asp-controller="Home" asp-action="IndexAdmin" asp-route-productId="@ViewBag.ProductId">Home</a>
		}
		else
		{
			<a class="btn btn-primary" asp-controller="Home" asp-action="Index" asp-route-productId="@ViewBag.ProductId">Home</a>
		}
	</div>

	<div class="container">
		<h1>Profile</h1>

		<form>
			<div class="form-group">
				<label for="username">Username</label>
				<input type="text" class="form-control" id="username" name="Username" value="@Model.Username" readonly>
			</div>
			<div class="form-group">
				<label for="email">Email</label>
				<input type="email" class="form-control" id="email" name="Email" value="@Model.Email" readonly>
			</div>
			<div class="form-group">
				<label for="email">Real Name</label>
				<input type="email" class="form-control" id="email" name="Email" value="@Model.RealName" readonly>
			</div>
			<a class="btn btn-primary" asp-controller="Home" asp-action="UpdateProfile2" asp-route-id="@Model.UserId">Update profile</a>

			<a class="btn btn-primary" asp-controller="Home" asp-action="UpdateProfile" asp-route-id="@Model.UserId">Change password</a>
			
		</form>
	</div>
	<p>@ViewBag.msg</p>
</body>
</html>
